Bug 749608 - Review Request: gnome-pie - A visual application launcher for Gnome
Summary: Review Request: gnome-pie - A visual application launcher for Gnome
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-27 16:39 UTC by Praveen Kumar
Modified: 2012-11-15 09:06 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-15 09:06:55 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Praveen Kumar 2011-10-27 16:39:18 UTC
Spec URL: http://kumarpraveen.fedorapeople.org/gnome-pie/gnome-pie.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/gnome-pie/gnome-pie-0.2-1.fc16.src.rpm
Description: Gnome-Pie is a circular application launcher for Linux. It is made of several pies, each consisting of multiple slices. The user presses a key stroke which opens the desired pie. By activating one of its slices,applications may be launched, key presses may be simulated or files can be opened.

koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=3466531

Comment 1 Ben Thompson 2011-10-28 14:07:31 UTC
I get the following when testing your RPM with FedoraReview:

[100%] Building C object src/CMakeFiles/gnome-pie.dir/actionGroups/actionGroup.c.o
Linking C executable ../gnome-pie
/usr/bin/ld: CMakeFiles/gnome-pie.dir/deamon.c.o: undefined reference to symbol 
'g_thread_init'
/usr/bin/ld: note: 'g_thread_init' is defined in DSO /lib/libgthread-2.0.so.0 so try adding it to the linker command line
/lib/libgthread-2.0.so.0: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[2]: *** [gnome-pie] Error 1
make[1]: *** [src/CMakeFiles/gnome-pie.dir/all] Error 2
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.vVZbFn (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.vVZbFn (%build)

And when downloading the sources file and compiling it it builds just fine.

Comment 2 Praveen Kumar 2011-10-28 15:12:38 UTC
Which fedora version are you using, I build it in f-16 and also use koji scratch build for f-16 and it's compiled without any issue as I already put koji url also.

Comment 3 Rahul Sundaram 2011-10-31 09:42:43 UTC
Fix the build for Rawhide.  

https://lists.fedoraproject.org/pipermail/devel/2011-October/158746.html

Comment 4 Onuralp SEZER 2011-11-15 19:23:50 UTC
I ınstalled Gnome-Pie Successfully on Fedora 16 (Verne) x86_64 ;

BuildRequires:  vala-devel
BuildRequires:  pkgconfig(gee-1.0)
BuildRequires:  libxml2-devel
BuildRequires:  gtk2-devel
BuildRequires:  cairo-devel
BuildRequires:  cmake
BuildRequires:  unique-devel
BuildRequires:  vala-devel
BuildRequires:  libXtst-devel
BuildRequires:  gnome-menus-devel

I found this package on fedora repository and then ; 

# For build
cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_LDFLAGS=-lgthread
make

# For install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/README
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/de/LC_MESSAGES/gnomepie.mo
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/pt-br/LC_MESSAGES/gnomepie.mo

After this install gnome-pie I try to open as Normal User in the Applications List

I few icon this like "reboot","logout" is not seen. but others function works properly.

I wanna make rpm package and give to fedora-repository  I hope this will helpfull to other people.

Comment 5 Germán Racca 2011-11-28 20:38:23 UTC
You don't have to remove locales. Instead, you should use the %find_lang macro to handle them correctly.

Comment 6 Mario Blättermann 2012-08-19 15:15:06 UTC
Any progress here?
@Praveen, are you still interested in to maintain this package?

Comment 7 Praveen Kumar 2012-08-21 00:55:05 UTC
Will work on it, may be coming weekend.

Comment 8 Praveen Kumar 2012-08-26 03:45:13 UTC
I am getting some compilation error,I Mailed to upstream and waiting for his reply.

Error:
[daredevil@localhost Gnome-Pie-0.5.3]$ make
[  1%] Generating deamon.c, themes/sliceLayer.c, themes/theme.c, themes/centerLayer.c, images/image.c, images/icon.c, images/renderedText.c, images/themedIcon.c, gui/themeList.c, gui/piePreviewAddSign.c, gui/triggerSelectWindow.c, gui/newSliceWindow.c, gui/iconSelectWindow.c, gui/settingsWindow.c, gui/piePreview.c, gui/triggerSelectButton.c, gui/piePreviewSliceRenderer.c, gui/piePreviewCenter.c, gui/pieList.c, gui/renameWindow.c, gui/newsWindow.c, gui/piePreviewDeleteSign.c, gui/sliceTypeList.c, gui/pieComboList.c, gui/preferencesWindow.c, gui/piePreviewRenderer.c, gui/aboutWindow.c, gui/indicator.c, pies/pie.c, pies/load.c, pies/save.c, pies/defaultConfig.c, pies/pieManager.c, actionGroups/clipboardGroup.c, actionGroups/sessionGroup.c, actionGroups/menuGroup.c, actionGroups/windowListGroup.c, actionGroups/devicesGroup.c, actionGroups/bookmarkGroup.c, actionGroups/groupRegistry.c, actionGroups/actionGroup.c, renderers/pieWindow.c, renderers/sliceRenderer.c, renderers/pieRenderer.c, renderers/centerRenderer.c, actions/actionRegistry.c, actions/action.c, actions/sigAction.c, actions/pieAction.c, actions/appAction.c, actions/keyAction.c, actions/uriAction.c, utilities/config.c, utilities/color.c, utilities/logger.c, utilities/bindingManager.c, utilities/trigger.c, utilities/focusGrabber.c, utilities/key.c, utilities/animatedValue.c, utilities/paths.c
/home/daredevil/rpmbuild/BUILD/Gnome-Pie-0.5.3/src/utilities//focusGrabber.vala:84.49-84.98: error: Invalid assignment from owned expression to unowned variable
            unowned GLib.List<weak Gdk.Device?> list = manager.list_devices(Gdk.DeviceType.MASTER);
                                                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
/home/daredevil/rpmbuild/BUILD/Gnome-Pie-0.5.3/src/utilities//focusGrabber.vala:85.35-85.38: error: The name `list' does not exist in the context of `GnomePie.FocusGrabber.try_grab_window'
            foreach(var device in list) {
                                  ^^^^
/home/daredevil/rpmbuild/BUILD/Gnome-Pie-0.5.3/src/utilities//focusGrabber.vala:56.49-56.98: error: Invalid assignment from owned expression to unowned variable
            unowned GLib.List<weak Gdk.Device?> list = manager.list_devices(Gdk.DeviceType.MASTER);
                                                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
/home/daredevil/rpmbuild/BUILD/Gnome-Pie-0.5.3/src/utilities//focusGrabber.vala:57.35-57.38: error: The name `list' does not exist in the context of `GnomePie.FocusGrabber.ungrab'
            foreach(var device in list) {
                                  ^^^^
Compilation failed: 4 error(s), 0 warning(s)
make[2]: *** [src/deamon.c] Error 1
make[1]: *** [src/CMakeFiles/gnome-pie.dir/all] Error 2
make: *** [all] Error 2

Comment 9 Praveen Kumar 2012-08-26 17:29:25 UTC
Updated SPEC : http://kumarpraveen.fedorapeople.org/gnome-pie/gnome-pie.spec
SRPM : http://kumarpraveen.fedorapeople.org/gnome-pie/gnome-pie-0.5.3-1.fc17.src.rpm

koji build : http://koji.fedoraproject.org/koji/taskinfo?taskID=4423768

Build is failing on rawhide due to vala-devel, upstream still working on it.

Comment 10 Mario Blättermann 2012-08-26 18:29:16 UTC
(In reply to comment #9)
> Build is failing on rawhide due to vala-devel, upstream still working on it.

Doesn't matter, currently we should concentrate our effort to f18. BTW, building it for f17 is possible, see below.


$ rpmlint -i -v *
gnome-pie.src: I: checking
gnome-pie.src: I: checking-url http://gnome-pie.simonschneegans.de/ (timeout 10 seconds)
gnome-pie.src: W: invalid-url Source0: gnome-pie-0.5.3.20120826git1b93e1.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

gnome-pie.i686: I: checking
gnome-pie.i686: I: checking-url http://gnome-pie.simonschneegans.de/ (timeout 10 seconds)
gnome-pie.x86_64: I: checking
gnome-pie.x86_64: I: checking-url http://gnome-pie.simonschneegans.de/ (timeout 10 seconds)
gnome-pie-debuginfo.i686: I: checking
gnome-pie-debuginfo.i686: I: checking-url http://gnome-pie.simonschneegans.de/ (timeout 10 seconds)
gnome-pie-debuginfo.i686: E: debuginfo-without-sources
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.

gnome-pie-debuginfo.x86_64: I: checking
gnome-pie-debuginfo.x86_64: I: checking-url http://gnome-pie.simonschneegans.de/ (timeout 10 seconds)
gnome-pie-debuginfo.x86_64: E: debuginfo-without-sources
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.

gnome-pie.spec: W: invalid-url Source0: gnome-pie-0.5.3.20120826git1b93e1.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 2 errors, 2 warnings.


The invalid-source warning is not applicable, because it is a Git snapshot. But why don't you use the real download link:
https://github.com/downloads/Simmesimme/Gnome-Pie/Gnome-Pie-0.5.3.tar.gz
Should also work, or do we strictly need anything which has been committed after v0.5.3 has been released?

According to README.md, the license is GPLv3+.

The debug package is empty. Usually the following line in %build should help:
make CFLAGS='%{optflags}' %{?_smp_mflags}
This is valid for C code, but I'm unsure if this also works for Vala (which generates C code anyway).

%{_mandir}/man1/%{name}.1.gz
Please replace the gz extension by *, because the compression format for man pages could change in the future.

The *.desktop file included in your package needs to be verified:
http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage
Moreover, add desktop-file-utils to BuildRequires.

%{_datadir}/icons/*
This would mean, your package owns all the subfolders of /usr/share/icons, which is not OK. Should be:
%{_datadir}/icons/hicolor/scalable/apps/*.svg



I ran a second scratch build for f17:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4423800
It was successful, so that I was able to test it. Because I use rather Xfce than Gnome, I was surprised that it works fine [1]. Just the compositing manager (compton on my system, instead of the builtin comp manager of xfwm4) doesn't collaborate well with gnome-pie. Doesn't matter, it was just for testing purposes.

[1] http://www.flickr.com/photos/mariobl/7865891646/

Comment 11 Praveen Kumar 2012-08-27 01:19:39 UTC
(In reply to comment #10)
> (In reply to comment #9)
> gnome-pie-debuginfo.x86_64: I: checking
> gnome-pie-debuginfo.x86_64: I: checking-url
> http://gnome-pie.simonschneegans.de/ (timeout 10 seconds)
> gnome-pie-debuginfo.x86_64: E: debuginfo-without-sources
> This debuginfo package appears to contain debug symbols but no source files.
> This is often a sign of binaries being unexpectedly stripped too early during
> the build, or being compiled without compiler debug flags (which again often
> is a sign of distro's default compiler flags ignored which might have
> security
> consequences), or other compiler flags which result in rpmbuild's debuginfo
> extraction not working as expected.  Verify that the binaries are not
> unexpectedly stripped and that the intended compiler flags are used.
> 
> gnome-pie.spec: W: invalid-url Source0:
> gnome-pie-0.5.3.20120826git1b93e1.tar.xz
> The value should be a valid, public HTTP, HTTPS, or FTP URL.
> 
> 5 packages and 1 specfiles checked; 2 errors, 2 warnings.
> 
> 
> The invalid-source warning is not applicable, because it is a Git snapshot.
> But why don't you use the real download link:
> https://github.com/downloads/Simmesimme/Gnome-Pie/Gnome-Pie-0.5.3.tar.gz
> Should also work, or do we strictly need anything which has been committed
> after v0.5.3 has been released?
Yes because latest download available version have compilation issue with vala-0.16 also, I checked with upstream, according to him master have fix for that.
> 
> According to README.md, the license is GPLv3+.
Done
> 
> The debug package is empty. Usually the following line in %build should help:
> make CFLAGS='%{optflags}' %{?_smp_mflags}
> This is valid for C code, but I'm unsure if this also works for Vala (which
> generates C code anyway).
It's not working still I am getting same Error for rpmlint.
> 
> %{_mandir}/man1/%{name}.1.gz
> Please replace the gz extension by *, because the compression format for man
> pages could change in the future.
Done
> 
> The *.desktop file included in your package needs to be verified:
> http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage
> Moreover, add desktop-file-utils to BuildRequires.
Done
> 
> %{_datadir}/icons/*
> This would mean, your package owns all the subfolders of /usr/share/icons,
> which is not OK. Should be:
> %{_datadir}/icons/hicolor/scalable/apps/*.svg
Done
> 
> 
> 
> I ran a second scratch build for f17:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4423800
> It was successful, so that I was able to test it. Because I use rather Xfce
> than Gnome, I was surprised that it works fine [1]. Just the compositing
> manager (compton on my system, instead of the builtin comp manager of xfwm4)
> doesn't collaborate well with gnome-pie. Doesn't matter, it was just for
> testing purposes.
> 
> [1] http://www.flickr.com/photos/mariobl/7865891646/

I didn't bump the spec file for these minor changes.
Updated SPEC : http://kumarpraveen.fedorapeople.org/gnome-pie/gnome-pie.spec
SRPM : http://kumarpraveen.fedorapeople.org/gnome-pie/gnome-pie-0.5.3-1.fc17.src.rpm

Comment 12 Praveen Kumar 2012-08-28 17:06:58 UTC
ping?
Can you please assign it to you and do further review?

Comment 13 Mario Blättermann 2012-08-28 17:54:41 UTC
(In reply to comment #12)
> ping?
> Can you please assign it to you and do further review?

Be patient, such a ping within one day shouldn't be needed. I'm not online 24 hours a day.

However, I take this for a full review. Maybe you have some time left to have a look at my open review requests:
https://bugzilla.redhat.com/buglist.cgi?bug_status=NEW&component=Package%20Review&email1=mario.blaettermann%40gmail.com&emailreporter1=1&emailtype1=exact&keywords=&keywords_type=allwords&product=Fedora&query_format=advanced&query_format=advanced&version=rawhide&order=bug_id&query_based_on=

Comment 14 Mario Blättermann 2012-08-29 17:55:01 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4434898

It fails because a missing desktop-file-utils in BuildRequires.


Some more issues:

Drop cairo-devel from BR, it is a requirement of gtk2-devel. But is it really intended to compile it for gtk2? The previous package which I had installed (see comment #10) depends on gtk3. In this case, drop gtk2-devel from BR, and cairo is also unneeded. Unfortunately there's no choice, it depends on the present packages at build time only. The package libappindicator-devel as mentioned in README.md is not available from Fedora, but it seems to build and work without that, see my recent test.

You are using the version number from the last released package, but actually you are using a Git snapshot. See the guidelines:
http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
Using the previous release for the package version is not OK.

However, the latest build failed, and we don't know yet if we will get a usable debug package once it builds again.

Comment 15 Praveen Kumar 2012-08-30 01:32:22 UTC
(In reply to comment #14)
> Scratch build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4434898
> 
> It fails because a missing desktop-file-utils in BuildRequires.
Done
http://koji.fedoraproject.org/koji/taskinfo?taskID=4436284
> 
> 
> Some more issues:
> 
> Drop cairo-devel from BR, it is a requirement of gtk2-devel. But is it
> really intended to compile it for gtk2? The previous package which I had
> installed (see comment #10) depends on gtk3. In this case, drop gtk2-devel
> from BR, and cairo is also unneeded. Unfortunately there's no choice, it
> depends on the present packages at build time only. The package
> libappindicator-devel as mentioned in README.md is not available from
> Fedora, but it seems to build and work without that, see my recent test.
Removed gtk2 and cairo dependencies added gtk3-devel in BR. 
> 
> You are using the version number from the last released package, but
> actually you are using a Git snapshot. See the guidelines:
> http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages
> Using the previous release for the package version is not OK.
Corrected.
> 
> However, the latest build failed, and we don't know yet if we will get a
> usable debug package once it builds again.
Still debug build is not useful.

Updated SPEC: http://kumarpraveen.fedorapeople.org/gnome-pie/gnome-pie.spec
SRPM : http://kumarpraveen.fedorapeople.org/gnome-pie/gnome-pie-0.5.3-1.20120826git1b93e1.fc17.src.rpm

Comment 16 Mario Blättermann 2012-08-30 19:13:02 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4439104

Again the same issue from rpmlint:

gnome-pie-debuginfo.i686: E: debuginfo-without-sources
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.

CFLAGS in the "make" call (as proposed by me) are useless here. I don't know how this works in Vala, in any case we need a usable debug package. You should ask upstream developers which extra compiler flags are needed, or maybe they have another solution. A similar problem has been discussed earlier in bug #569582.


Once this has been solved, your package is ready for approval.

Comment 17 Praveen Kumar 2012-09-06 16:10:31 UTC
(In reply to comment #16)
> Scratch build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=4439104
> 
> Again the same issue from rpmlint:
> 
> gnome-pie-debuginfo.i686: E: debuginfo-without-sources
> This debuginfo package appears to contain debug symbols but no source files.
> This is often a sign of binaries being unexpectedly stripped too early during
> the build, or being compiled without compiler debug flags (which again often
> is a sign of distro's default compiler flags ignored which might have
> security
> consequences), or other compiler flags which result in rpmbuild's debuginfo
> extraction not working as expected.  Verify that the binaries are not
> unexpectedly stripped and that the intended compiler flags are used.
> 
> CFLAGS in the "make" call (as proposed by me) are useless here. I don't know
> how this works in Vala, in any case we need a usable debug package. You
> should ask upstream developers which extra compiler flags are needed, or
> maybe they have another solution. A similar problem has been discussed
> earlier in bug #569582.
> 
> 
> Once this has been solved, your package is ready for approval.
Done, Thanks to upstream !!
Updated SPEC: http://kumarpraveen.fedorapeople.org/gnome-pie/gnome-pie.spec
SRPM : http://kumarpraveen.fedorapeople.org/gnome-pie/gnome-pie-0.5.3-2.20120826git1b93e1.fc17.src.rpm

[daredevil@localhost SPECS]$ rpmlint -i gnome-pie.spec ../SRPMS/gnome-pie-0.5.3-2.20120826git1b93e1.fc17.src.rpm ../RPMS/x86_64/gnome-pie-0.5.3-2.20120826git1b93e1.fc17.x86_64.rpm ../RPMS/x86_64/gnome-pie-debuginfo-0.5.3-2.20120826git1b93e1.fc17.x86_64.rpm 
gnome-pie.spec: W: invalid-url Source0: gnome-pie-0.5.3.20120826git1b93e1.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

gnome-pie.src: W: invalid-url Source0: gnome-pie-0.5.3.20120826git1b93e1.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

3 packages and 1 specfiles checked; 0 errors, 2 warnings.

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=4461068

Comment 18 Mario Blättermann 2012-09-07 18:26:20 UTC
$ rpmlint -i -v *
gnome-pie.i686: I: checking
gnome-pie.i686: I: checking-url http://gnome-pie.simonschneegans.de/ (timeout 10 seconds)
gnome-pie.x86_64: I: checking
gnome-pie.x86_64: I: checking-url http://gnome-pie.simonschneegans.de/ (timeout 10 seconds)
gnome-pie-debuginfo.i686: I: checking
gnome-pie-debuginfo.i686: I: checking-url http://gnome-pie.simonschneegans.de/ (timeout 10 seconds)
gnome-pie-debuginfo.x86_64: I: checking
gnome-pie-debuginfo.x86_64: I: checking-url http://gnome-pie.simonschneegans.de/ (timeout 10 seconds)
gnome-pie.spec: W: invalid-url Source0: gnome-pie-0.5.3.20120826git1b93e1.tar.xz
The value should be a valid, public HTTP, HTTPS, or FTP URL.

4 packages and 1 specfiles checked; 0 errors, 1 warnings.


Nothing of interest anymore.



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv3+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    11a63fc2bd9a08ba3eb4bf69b92c774fab4516303e4544be6b869f1580c1c10a  gnome-pie-0.5.3.20120826git1b93e1.tar.xz
    11a63fc2bd9a08ba3eb4bf69b92c774fab4516303e4544be6b869f1580c1c10a  gnome-pie-0.5.3.20120826git1b93e1.tar.xz.orig
    
[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------

Comment 19 Gwyn Ciesla 2012-09-08 14:29:26 UTC
No SCM request.

Comment 20 Praveen Kumar 2012-09-08 16:40:05 UTC
New Package SCM Request
=======================
Package Name: gnome-pie
Short Description: A visual application launcher for Gnome
Owners: kumarpraveen
Branches: f17 f18 devel

Comment 21 Gwyn Ciesla 2012-09-08 23:57:32 UTC
Git done (by process-git-requests).

Comment 22 Fedora Update System 2012-09-09 03:19:13 UTC
gnome-pie-0.5.3-2.20120826git1b93e1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-pie-0.5.3-2.20120826git1b93e1.fc17

Comment 23 Fedora Update System 2012-09-09 03:22:27 UTC
gnome-pie-0.5.3-2.20120826git1b93e1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnome-pie-0.5.3-2.20120826git1b93e1.fc18

Comment 24 Fedora Update System 2012-09-09 17:57:37 UTC
gnome-pie-0.5.3-2.20120826git1b93e1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 25 Mario Blättermann 2012-11-15 09:06:55 UTC
Packages for both f17 and f18 are stable now.


Note You need to log in before you can comment on or make changes to this bug.